"use strict";

exports.__esModule = true;
exports.Textarea = exports.Input = void 0;

require("core-js/modules/es6.array.index-of");

require("core-js/modules/web.dom.iterable");

require("core-js/modules/es6.array.iterator");

require("core-js/modules/es6.object.keys");

require("core-js/modules/es6.object.assign");

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _primitives = require("../primitives");

var _common = require("../../common");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n  input::placeholder {\n    /* Chrome, Firefox, Opera, Safari 10.1+ */\n    color: ", " !important;\n    opacity: 1; /* Firefox */\n  }\n\n  input:-ms-input-placeholder {\n    /* Internet Explorer 10-11 */\n    color: ", " !important;\n  }\n\n  input::-ms-input-placeholder {\n    /* Microsoft Edge */\n    color: ", " !important;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteralLoose(strings, raw) { if (!raw) { raw = strings.slice(0); } strings.raw = raw; return strings; }

var colors = _common.theme.colors;

var StyledInputWrapper = _styledComponents.default.div(_templateObject(), function (props) {
  return props.variant === 'marketing' ? colors.blue.neutral : colors.blue.mid;
}, function (props) {
  return props.variant === 'marketing' ? colors.blue.neutral : colors.blue.mid;
}, function (props) {
  return props.variant === 'marketing' ? colors.blue.neutral : colors.blue.mid;
});
/**
 * Themed inputs
 *
 * We have two themes: ui + marketing
 */


var Input = function Input(_ref) {
  var _ref$variant = _ref.variant,
      variant = _ref$variant === void 0 ? 'minimal' : _ref$variant,
      p = _objectWithoutPropertiesLoose(_ref, ["variant"]);

  var defaultProps = {
    px: 4,
    py: 3,
    height: '48px',
    fontSize: 2
  };
  var uiStyles = {
    borderColor: 'blue.mid',
    border: 1,
    borderRadius: 2,
    color: 'blue.dark',
    height: '48px',
    width: 1
  };
  var marketingStyles = {
    borderColor: 'blue',
    border: 1,
    borderRadius: '48px',
    px: 6,
    fontFamily: 'brand',
    color: 'blue',
    width: 1,
    boxShadow: 'general'
  };
  var styleProps = variant === 'marketing' ? marketingStyles : uiStyles;
  var props = Object.assign({}, defaultProps, styleProps, p);
  return _react.default.createElement(StyledInputWrapper, {
    variant: variant
  }, _react.default.createElement(_primitives.Box, _extends({
    is: "input",
    style: {
      outline: 'none'
    }
  }, props)));
};

exports.Input = Input;

var Textarea = function Textarea(p) {
  return _react.default.createElement(Input, _extends({
    is: "textarea"
  }, p));
};

exports.Textarea = Textarea;